var suitehelp = {};
suitehelp.contexts={"bw.adapter_bw.adapter.Respond2Request":"GUID-3AE46595-ABAE-4AB5-92E0-DEDC66EB2532.html","bw.adapter_bw.adapter.InvokeRequestResponse":"GUID-908AD6AD-0396-4A0E-8B92-F4CB01544FBB.html","bw.adapter_bw.adapter.SendException":"GUID-3DB2E5FE-B6B8-4810-A33B-1105D6AD7CF6.html","bw.adapter_bw.adapter.publisher":"GUID-BD002227-2B37-446B-9D26-72FFE8DE7239.html","bw.adapter_bw.adapter.WaitMessage":"GUID-60C11A3A-BC16-4DEC-981A-19A2558F800C.html","bw.adapter_bw.adapter.RequestResponseServer":"GUID-46C2B522-505F-4C12-BC6B-290FC292E490.html","bw.adapter_bw.adapter.WaitRequest":"GUID-5DC7A466-D31E-4631-B2F9-476491B8B2C7.html","bw.adapter_bw.adapter.subscriber":"GUID-ADA914A8-BF78-405F-8D4A-46314EF1B8AA.html"};
// Check for a context-sensitive link and redirect if present (and valid)
suitehelp.checkContext = function () {
    "use strict";

    var context = suitehelp.contexts[suitehelp.getQueryString("context")],
        adjustedQS =  window.location.search.substring(1).replace(/context=[^&]+&|(&|^)context=[^&]+/, "");
    if (context) {
        if (adjustedQS) {
       
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context + "?" + adjustedQS;
        } else {
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context;
        }
    }

};

// Lookup a query string variable
suitehelp.getQueryString = function (key) {
    "use strict";

    if (!suitehelp.queryString) {
        suitehelp.queryString = {};
        var query = window.location.search.substring(1),
            vars = query.split("&"),
            i,
            pair;
        for (i = 0; i < vars.length; i += 1) {
            pair = vars[i].split("=");
            suitehelp.queryString[pair[0]] = unescape(pair[1]);
        }
    }

    return suitehelp.queryString[key];
};

suitehelp.checkContext();